---
lang: en
title: 'API docs: context.resolveinjectedproperties'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.resolveinjectedproperties.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [resolveInjectedProperties](./context.resolveinjectedproperties.md)

## resolveInjectedProperties() function

Given a class with properties decorated with `@inject`<!-- -->, return the map of properties resolved using the values bound in `ctx`<!-- -->.

The function returns an argument array when all dependencies were resolved synchronously, or a Promise otherwise.

**Signature:**

```typescript
export declare function resolveInjectedProperties(constructor: Function, ctx: Context, session?: ResolutionSession): ValueOrPromise<MapObject<BoundValue>>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

constructor


</td><td>

Function


</td><td>

The class for which properties should be resolved.


</td></tr>
<tr><td>

ctx


</td><td>

[Context](./context.context.md)


</td><td>

The context containing values for `@inject` resolution


</td></tr>
<tr><td>

session


</td><td>

[ResolutionSession](./context.resolutionsession.md)


</td><td>

_(Optional)_ Optional session for binding and dependency resolution


</td></tr>
</tbody></table>

**Returns:**

[ValueOrPromise](./context.valueorpromise.md)<!-- -->&lt;[MapObject](./context.mapobject.md)<!-- -->&lt;[BoundValue](./context.boundvalue.md)<!-- -->&gt;&gt;


